Subject: bug#45212: org-capture user-error: Abort

From: [email-masked]
Date: Sun, 13 Dec 2020 19:11:35 +0100

Sent: Sunday, December 13, 2020 at 7:07 PM
From: "Diego Zamboni" <[email-masked]>
To: "Ihor Radchenko" <[email-masked]>
Cc: [email-masked], [email-masked], "Org-Mode mailing list" <[email-masked]>
Subject: Re: org-capture user-error: Abort

> Emacs fires "user-error: Abort" after pressing "q" to abort org-capture.

This is intended. Normally, it just shows up as a message in the
minibuffer. Or do you have debug-on-error enabled?

Same as Ihor, when I press `q` in the org-capture screen I only see "Abort" in the minibuffer. Where do you see the `user-error`?  As long as the effect is what you need (getting out of the capture screen), what is the problem with the code using the `user-error` function to achieve this effect?

I use it to build my templates (incl. switching between templates) and could get many errors.

To test functionality, I custamarily abort the capture.